// pages/minePages/cxnsrwqjxx/cxnsrwqjxx.js
import {
    xcxGetCompanyList,
} from "../../../apis/index"
import {
    illegalInformationSelect,
} from "../../../apis/smzc"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        swjgShow: false,
        swjgList: [],
        swjg: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    selectSwjg() {
        let that = this
        wx.showLoading({
            title: '正在获取税务机关信息',
        })
        that.setData({
            swjgShow: true
        })
        xcxGetCompanyList({
            xm: wx.getStorageSync('USERINFO').name,
            sfzjhm: wx.getStorageSync('USERINFO').idcard
        }).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                that.setData({
                    swjgList: res.list
                })
            } else {
                wx.showToast({
                    title: res.msg || res.message,
                    icon: "none",
                    duration: 5000
                })
            }
        })
    },

    selectedSwjg(e) {
        let that = this
        let item = e.currentTarget.dataset.item
        that.setData({
            swjgShow: false,
            swjg: item
        })
    },

    close() {
        let that = this
        that.setData({
            swjgShow: false
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})