// pages/mine/mine.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        navigation: {},
        section2List: [{
                children: [{
                        name: "税费争议",
                        icon: "../../images/mine/sfzy.png",
                        path: ""
                    },
                    {
                        name: "年度评价\n结果查询",
                        icon: "../../images/mine/ndpjjgcx.png",
                        path: "../minePages/ndpjjgcx/ndpjjgcx"
                    },
                    {
                        name: "违法违章\n信息查询",
                        icon: "../../images/mine/wfwzxxcx.png",
                        path: "../minePages/wfwzxxcx/wfwzxxcx"
                    },
                    {
                        name: "办税日历",
                        icon: "../../images/mine/bsrl.png",
                        path: "../minePages/bsrl/bsrl"
                    }
                ]
            },
            {
                children: [{
                        name: "设立登记\n信息查询",
                        icon: "../../images/mine/sldjxxcx.png",
                        path: "../minePages/sldjxxcx/sldjxxcx"
                    },
                    {
                        name: "查询纳税\n人未清缴(欠税费信息)",
                        icon: "../../images/mine/cxnsrwqj.png",
                        // path: "../minePages/cxnsrwqjxx/cxnsrwqjxx"
                        path: ""
                    },
                    {
                        name: "公积金",
                        icon: "../../images/mine/gjj.png",
                        path: ""
                    },
                    {
                        name: "国家企业信用信用公示",
                        icon: "../../images/mine/gjqyxy.png",
                        path: ""
                    }
                ]
            }
        ],
        userInfo: {},
        address: ""
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.getNavigationBar()
    },

    getNavigationBar() {
        let that = this
        const res = wx.getMenuButtonBoundingClientRect()
        let navigation = {
            width: res.left + 'px',
            height: res.height + 6 + 'px',
            paddingTop: res.top - 3 + 'px'
        }
        that.setData({
            navigation: navigation
        })
    },

    init() {
        let that = this
        let address = wx.getStorageSync('ADDRESS')
        let userInfo = wx.getStorageSync('USERINFO')
        that.setData({
            userInfo: userInfo,
            address: address
        })
    },

    myInfo() {
        wx.navigateTo({
            url: "../minePages/grxxxg/grxxxg",
        })
    },

    moreFunction(e) {
        let item = e.currentTarget.dataset.item
        if (item.path) {
            wx.navigateTo({
                url: item.path,
            })
        } else {
            wx.showToast({
                title: '该功能暂未开通',
                icon: "none",
                duration: 2000
            })
        }
    },

    test() {
        wx.showToast({
            title: '该功能暂未开通',
            icon: "none",
            duration: 2000
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        let that = this
        that.init()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})